<!-- rechargeList 充值列表 -->
<template>
  <div>
    <div class="mb20">
      <el-input clearable class="w250 mr20" clearable v-model="search_data.search" placeholder="流水号/账号/会员"></el-input>
      <el-select clearable class="mr20 w200" clearable v-model="search_data.status" placeholder="请选择状态">
        <el-option label="请选择类型" value></el-option>
        <el-option v-for="item in  GetBaseData('recharge','status')" :key="item.id" :label="item.name" :value="item.id"></el-option>
      </el-select>

      <el-date-picker value-format="yyyy-MM-dd" v-model="search_data.start_end" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
      </el-date-picker>

      <el-button class="ml10" icon="el-icon-search" size="small" type="primary" @click="m_search">搜索</el-button>
    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" border :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <!-- <el-table-column align="center" type="selection" width="55"></el-table-column> -->
      <el-table-column align="center" width="200" prop="recharge_no" label="流水号"></el-table-column>
      <el-table-column width="160px" align="center" prop="name" label="账号"> </el-table-column>

      <el-table-column align="center" prop="realname" label="会员"></el-table-column>
      <el-table-column align="center" prop="status" label="状态">
        <template slot-scope="scope">{{scope.row.status | BaseData('recharge','status')}} </template>
      </el-table-column>
      <el-table-column width="160px" align="center" prop="amount" label="金额"> </el-table-column>
      <el-table-column width="160px" align="center" prop="cny_amount" label="cny"> </el-table-column>

      <el-table-column align="center" label="凭证图片">
        <template slot-scope="scope">
          <div v-if="scope.row.credit.length">
            <viewer :images="scope.row.credit">
              <img class="imgClass" v-for="(src , index) in scope.row.credit" :src="src" :key="index" width="300">
            </viewer>
          </div>
        </template>
      </el-table-column>

      <el-table-column align="center" prop="remark" label="用户名"></el-table-column>
        <el-table-column align="center" prop="sender" label="汇款人"></el-table-column>
      <el-table-column align="center" prop="created_at" label="时间"></el-table-column>
      <el-table-column align="center" label="操作" width="220">
        <template slot-scope="scope">
          <el-button size="mini" v-if="scope.row.status==0" @click.native='apply_failed(scope.row,1)' type="text">审核通过</el-button>
          <el-button size="mini" v-if="scope.row.status==0" @click.native='apply_failed(scope.row,2)' type="text"><span class="m_red">审核失败</span></el-button>
        </template>
      </el-table-column>

    </el-table>

    <!-- 审核失败 -->
    <el-dialog width="400px" title="审核失败" v-if="dialogFormVisible" :visible.sync="dialogFormVisible">
      <el-form :model="formData" ref="ruleForm" :rules="m_rules">
        <!--失敗原因  -->
        <el-form-item label="失败原因" prop="remark">
          <el-input type="textarea" v-model="formData.remark"></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <!-- 取 消 -->
        <el-button @click="dialogFormVisible = false">取 消</el-button>
        <!-- 确 定 -->
        <el-button type="primary" :loading="m_loading" @click="submit">确 定</el-button>
      </div>
    </el-dialog>

    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>
  </div>
</template>

<script>
import * as api from '@/api'
export default {
  name: 'rechargeList',
  data() {
    return {
      dialogFormVisible: false,
      search_data: {
        search: '',
        status: '',
        start_end: []
      },

       formData: {
        id: '',
        status: 2,
        remark: ''
      }

      


    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getDatalist()
    },

    //获取数据信息
    getDatalist() {
      this.m_tableLoading = true
      let data = Object.assign(this.search_data, this.m_page);

      api.recharge(data).then(res => {
        //console.log(res)
        let m_list = res.data.data.map(i=>{
           i.credit = JSON.parse( i.credit)
           return i
        })
       
        this.m_list = m_list
        this.m_page.total = res.data.total

      }).finally(() => {
        this.m_tableLoading = false
      })
    },

    apply_failed(row, key) {
      if (key == 1) {
        this.$confirm(`是否确定通过该充值申请?`, '提示', {
          confirmButtonText: '确认',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(() => {
          let data = {
            id:row.id,
            status:key
          }
          this.recharge_set_status(data)
          
        }).catch(() => {
          //取消删除
        })
      }else{
        this.formData.remark = ''
        this.formData.id = row.id
        this.dialogFormVisible = true
      }

    },

    recharge_set_status(data){
      this.m_loading = true
      this.m_api.recharge_set_status(data).then(res=>{
        this.m_success('操作成功')
          this.m_loading = false
          this.dialogFormVisible = false
          this.getDatalist()
      }).catch(err=>{
        console.log(err)
         this.m_loading = false

      })
    },

    submit(){
      this.recharge_set_status(this.formData)
    }



  },
}

</script>
<style lang='scss' scoped>
.imgClass {
  width: 20px;
  height: 20px;
}
</style>